Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.hl7v2.util
Class Hl7v2Switch

    java.lang.Object
      org.eclipse.ohf.ihe.common.hl7v2.util.Hl7v2Switch

    public class Hl7v2Switch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `Hl7v2Package`

Constructor Summary
`Hl7v2Switch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` | `caseCX(CX object)` Returns the result of interpretting the object as an instance of 'CX'.
`java.lang.Object` | `caseDocumentRoot(DocumentRoot object)` Returns the result of interpretting the object as an instance of 'Document Root'.
`java.lang.Object` | `caseSourcePatientInfoType(SourcePatientInfoType object)` Returns the result of interpretting the object as an instance of 'Source Patient Info Type'.
`java.lang.Object` | `caseXAD(XAD object)` Returns the result of interpretting the object as an instance of 'XAD'.
`java.lang.Object` | `caseXCN(XCN object)` Returns the result of interpretting the object as an instance of 'XCN'.
`java.lang.Object` | `caseXON(XON object)` Returns the result of interpretting the object as an instance of 'XON'.
`java.lang.Object` | `caseXPN(XPN object)` Returns the result of interpretting the object as an instance of 'XPN'.
`java.lang.Object` | `caseXTN(XTN object)` Returns the result of interpretting the object as an instance of 'XTN'.
`java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpretting the object as an instance of 'EObject'.
`java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Hl7v2Switch

    public Hl7v2Switch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseCX

    public java.lang.Object caseCX(CX object)

  Returns the result of interpretting the object as an instance of 'CX'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'CX'.
  See Also:
    `doSwitch(EObject)`

### caseDocumentRoot

    public java.lang.Object caseDocumentRoot(DocumentRoot object)

  Returns the result of interpretting the object as an instance of 'Document Root'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Document Root'.
  See Also:
    `doSwitch(EObject)`

### caseSourcePatientInfoType

    public java.lang.Object caseSourcePatientInfoType(SourcePatientInfoType object)

  Returns the result of interpretting the object as an instance of 'Source Patient Info Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'Source Patient Info Type'.
  See Also:
    `doSwitch(EObject)`

### caseXAD

    public java.lang.Object caseXAD(XAD object)

  Returns the result of interpretting the object as an instance of 'XAD'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XAD'.
  See Also:
    `doSwitch(EObject)`

### caseXCN

    public java.lang.Object caseXCN(XCN object)

  Returns the result of interpretting the object as an instance of 'XCN'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XCN'.
  See Also:
    `doSwitch(EObject)`

### caseXON

    public java.lang.Object caseXON(XON object)

  Returns the result of interpretting the object as an instance of 'XON'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XON'.
  See Also:
    `doSwitch(EObject)`

### caseXPN

    public java.lang.Object caseXPN(XPN object)

  Returns the result of interpretting the object as an instance of 'XPN'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XPN'.
  See Also:
    `doSwitch(EObject)`

### caseXTN

    public java.lang.Object caseXTN(XTN object)

  Returns the result of interpretting the object as an instance of 'XTN'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'XTN'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpretting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpretting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD